Bug 918273 - [abrt] NetworkManager-0.9.8.0-1.fc18: _dbus_abort: Process /usr/sbin/NetworkManager was killed by signal 6 (SIGABRT)
Summary: [abrt] NetworkManager-0.9.8.0-1.fc18: _dbus_abort: Process /usr/sbin/NetworkM...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e98badcbcd1109981cbd780cc68...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-05 19:29 UTC by Daniel Demus
Modified: 2013-04-10 01:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-10 01:26:55 UTC


Attachments (Terms of Use)
File: backtrace (15.58 KB, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: build_ids (1.60 KB, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: cgroup (174 bytes, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: core_backtrace (822 bytes, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: dso_list (3.92 KB, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: environ (114 bytes, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: maps (18.15 KB, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: open_fds (2.18 KB, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: proc_pid_status (902 bytes, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
File: var_log_messages (11.76 KB, text/plain)
2013-03-05 19:29 UTC, Daniel Demus
no flags Details
Reinstall property filter on dbus restart (2.06 KB, patch)
2013-03-13 13:29 UTC, Dan Williams
no flags Details | Diff

Description Daniel Demus 2013-03-05 19:29:13 UTC
Description of problem:
dbus service was restarted

Version-Release number of selected component:
NetworkManager-0.9.8.0-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: _dbus_abort
executable:     /usr/sbin/NetworkManager
kernel:         3.8.1-201.fc18.x86_64
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #2 _dbus_abort at dbus-sysdeps.c:94
 #3 _dbus_warn_check_failed at dbus-internals.c:290
 #4 dispose at nm-manager.c:4246

Comment 1 Daniel Demus 2013-03-05 19:29:16 UTC
Created attachment 705637 [details]
File: backtrace

Comment 2 Daniel Demus 2013-03-05 19:29:18 UTC
Created attachment 705638 [details]
File: build_ids

Comment 3 Daniel Demus 2013-03-05 19:29:20 UTC
Created attachment 705639 [details]
File: cgroup

Comment 4 Daniel Demus 2013-03-05 19:29:22 UTC
Created attachment 705640 [details]
File: core_backtrace

Comment 5 Daniel Demus 2013-03-05 19:29:24 UTC
Created attachment 705641 [details]
File: dso_list

Comment 6 Daniel Demus 2013-03-05 19:29:26 UTC
Created attachment 705642 [details]
File: environ

Comment 7 Daniel Demus 2013-03-05 19:29:28 UTC
Created attachment 705643 [details]
File: limits

Comment 8 Daniel Demus 2013-03-05 19:29:31 UTC
Created attachment 705644 [details]
File: maps

Comment 9 Daniel Demus 2013-03-05 19:29:33 UTC
Created attachment 705645 [details]
File: open_fds

Comment 10 Daniel Demus 2013-03-05 19:29:35 UTC
Created attachment 705646 [details]
File: proc_pid_status

Comment 11 Daniel Demus 2013-03-05 19:29:37 UTC
Created attachment 705647 [details]
File: var_log_messages

Comment 12 Jirka Klimes 2013-03-13 09:46:19 UTC
The relevant code is
src/nm-manager.c:dispose():
        /* Unregister property filter */
        bus = nm_dbus_manager_get_connection (priv->dbus_mgr);
        if (bus) {
                dbus_connection = dbus_g_connection_get_connection (bus);
                g_assert (dbus_connection);
                dbus_connection_remove_filter (dbus_connection, prop_filter, manager);
        }

We probably should not abort, however on the other hand restarting dbus is quite offensive and it basically takes down the whole desktop as pretty everything depends on D-Bus nowadays.

Did you restart D-Bus manually or did it crash?

Comment 13 Dan Williams 2013-03-13 13:29:09 UTC
I'll bet what happens here is that libdbus aborts when you try to remove a filter that wasn't installed on the connection.  And we don't re-install when the connection changes.

Maybe something like the attached patch?

Comment 14 Dan Williams 2013-03-13 13:29:44 UTC
Created attachment 709574 [details]
Reinstall property filter on dbus restart

Comment 15 Daniel Demus 2013-03-13 18:37:58 UTC
If I remember correctly I was trying to get NetworkManager to wake up, as it was refusing to connect to anything, and one of the suggestions was to restart NM and dbus. Restarting dbus crashed NM with this trace.

Comment 16 Jirka Klimes 2013-03-14 13:29:30 UTC
(In reply to comment #14)
> Created attachment 709574 [details]
> Reinstall property filter on dbus restart

Yeah, it seems this could work and make things better.

Comment 17 Dan Williams 2013-03-20 12:53:11 UTC
Patch pushed to git master and 0.9.8.

Comment 18 Fedora Update System 2013-03-28 01:24:26 UTC
network-manager-applet-0.9.8.1-1.git20130327.fc18,NetworkManager-0.9.8.1-1.git20130327.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/network-manager-applet-0.9.8.1-1.git20130327.fc18,NetworkManager-0.9.8.1-1.git20130327.fc18

Comment 19 Fedora Update System 2013-03-29 01:33:16 UTC
Package network-manager-applet-0.9.8.1-1.git20130327.fc18, NetworkManager-0.9.8.1-1.git20130327.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-0.9.8.1-1.git20130327.fc18 NetworkManager-0.9.8.1-1.git20130327.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4549/network-manager-applet-0.9.8.1-1.git20130327.fc18,NetworkManager-0.9.8.1-1.git20130327.fc18
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2013-04-10 01:26:57 UTC
network-manager-applet-0.9.8.1-1.git20130327.fc18, NetworkManager-0.9.8.1-1.git20130327.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.